## org.omg.CORBA
Class EnumDefPOATie

    java.lang.Object
      |
      +--org.omg.PortableServer.Servant
            |
            +--org.omg.CORBA.EnumDefPOA
                  |
                  +--org.omg.CORBA.EnumDefPOATie

All Implemented Interfaces:
  ContainedOperations, EnumDefOperations, IDLTypeOperations, InvokeHandler, IRObjectOperations, TypedefDefOperations

public class EnumDefPOATie
extends EnumDefPOA

An EnumDef represents an OMG IDL enumeration definition.

Constructor Summary
`EnumDefPOATie(EnumDefOperations tieObject)` Constructor
`EnumDefPOATie(EnumDefOperations tieObject, POA poa)` Constructor

Method Summary
`POA` `_default_POA()` _default_POA method
`EnumDefOperations` `_delegate()` Get the delegate
`void` `_delegate(EnumDefOperations delegate_)` Set the delegate
`java.lang.String` `absolute_name()` Read accessor for absolute_name attribute
`Repository` `containing_repository()` Read accessor for containing_repository attribute
`DefinitionKind` `def_kind()` Read accessor for def_kind attribute
`Container` `defined_in()` Read accessor for defined_in attribute
`Description` `describe()` Operation describe
`void` `destroy()` Operation destroy
`java.lang.String` `id()` Read accessor for id attribute
`void` `id(java.lang.String value)` Write accessor for id attribute
`java.lang.String[]` `members()` Read accessor for members attribute
`void` `members(java.lang.String[] value)` Write accessor for members attribute
`void` `move(Container new_container, java.lang.String new_name, java.lang.String new_version)` Operation move
`java.lang.String` `name()` Read accessor for name attribute
`void` `name(java.lang.String value)` Write accessor for name attribute
`TypeCode` `type()` Read accessor for type attribute
`java.lang.String` `version()` Read accessor for version attribute
`void` `version(java.lang.String value)` Write accessor for version attribute

Methods inherited from class org.omg.CORBA.EnumDefPOA
`_all_interfaces, _invoke, _this, _this`

Methods inherited from class org.omg.PortableServer.Servant
`_get_delegate, _get_interface_def, _get_interface, _is_a, _non_existent, _object_id, _orb, _orb, _poa, _set_delegate, _this_object, _this_object`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnumDefPOATie

    public EnumDefPOATie(EnumDefOperations tieObject)

  Constructor

### EnumDefPOATie

    public EnumDefPOATie(EnumDefOperations tieObject,
                         POA poa)

  Constructor

Method Detail

### _delegate

    public EnumDefOperations _delegate()

  Get the delegate

### _delegate

    public void _delegate(EnumDefOperations delegate_)

  Set the delegate

### _default_POA

    public POA _default_POA()

  _default_POA method
  Overrides:
    `_default_POA` in class `Servant`

### members

    public java.lang.String[] members()

  Read accessor for members attribute

### members

    public void members(java.lang.String[] value)

  Write accessor for members attribute

### id

    public java.lang.String id()

  Read accessor for id attribute

### id

    public void id(java.lang.String value)

  Write accessor for id attribute

### name

    public java.lang.String name()

  Read accessor for name attribute

### name

    public void name(java.lang.String value)

  Write accessor for name attribute

### version

    public java.lang.String version()

  Read accessor for version attribute

### version

    public void version(java.lang.String value)

  Write accessor for version attribute

### defined_in

    public Container defined_in()

  Read accessor for defined_in attribute

### absolute_name

    public java.lang.String absolute_name()

  Read accessor for absolute_name attribute

### containing_repository

    public Repository containing_repository()

  Read accessor for containing_repository attribute

### describe

    public Description describe()

  Operation describe

### move

    public void move(Container new_container,
                     java.lang.String new_name,
                     java.lang.String new_version)

  Operation move

### def_kind

    public DefinitionKind def_kind()

  Read accessor for def_kind attribute

### destroy

    public void destroy()

  Operation destroy

### type

    public TypeCode type()

  Read accessor for type attribute